summaryrefslogtreecommitdiffstats
path: root/academic/galculator/galculator.SlackBuild
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 19:43:41 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:43:41 +0200
commitad7f7058b8105fedc443c078c698dfd98963ee7d (patch)
tree5637691d6a29b2a2a077f4f06061df211188c03f /academic/galculator/galculator.SlackBuild
parentd6d557614653479ef2f892408d8c38d328e52e12 (diff)
downloadslackbuilds-ad7f7058b8105fedc443c078c698dfd98963ee7d.tar.gz
slackbuilds-ad7f7058b8105fedc443c078c698dfd98963ee7d.tar.xz
academic/galculator: Updated for version 1.3.1
Diffstat (limited to 'academic/galculator/galculator.SlackBuild')
-rw-r--r--academic/galculator/galculator.SlackBuild28
1 files changed, 14 insertions, 14 deletions
diff --git a/academic/galculator/galculator.SlackBuild b/academic/galculator/galculator.SlackBuild
index 0d4d2f1e78..bd12d4fa24 100644
--- a/academic/galculator/galculator.SlackBuild
+++ b/academic/galculator/galculator.SlackBuild
@@ -2,16 +2,16 @@
# Slackware build script for galculator
-# Written by MagicMan <MagicMan07@bluebottle.com>
+# Written by Frank Caraballo <fecaraballo{at}gmail{dot}com>
# No Guarantees. Use this SlackBuild at your own risk.
-# Public Domain
+# Public Domain
PRGNAM=galculator
-VERSION=1.2.5.2
+VERSION=1.3.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -28,9 +28,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xvjf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -40,29 +39,30 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --enable-shared=yes \
--enable-static=no \
|| exit 1
+
make || exit 1
make install-strip DESTDIR=$PKG || exit 1
-if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
-# Fix path to icon in desktop file
-sed -i 's#^Icon=\(.\+\)$#Icon=/usr/share/icons/gnome/48x48/apps/gnome-calculator.png#' \
- $PKG/usr/share/applications/$PRGNAM.desktop || exit 1
+( cd $PKG/usr/share/pixmaps ; ln -sf galculator/galculator_48x48.png gnome-calc2.png )
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz